Description

Tenemos 2 tablas y vamos a importar 2 campos (nombre, tipo) a una de ellas.

Si la tabla destino tiene ya algin campo que se llame "nombre" o "tipo" no ejecuta la accién y da error.

En otras herramientas esto se soluciona creando los campos nuevos (en este caso los importados) con nombrecampo+"_n+1". En
este caso seria "nombre_1"y "Tipo_1"

History

#1 - 02/23/2019 11:57 AM - Oscar Martinez

En principio este comportamiento lo deje asi adrede, ya que la herramienta te permite modificar el nombre de los campos que quieres importar.

No se si puede crear confusion que intentes afadir un campo que es el que te interesa y luego en el resultado te aparezca uno con ese nombre

exacto y otro con un campo+id, o que a lo mejor ni te fijes y lo uses.

En caso de que me confirmes que le mata el ID, lo haria sin _ porque por caracteres es posible que haya que recortar el nombre para el campo.

#2 - 02/23/2019 12:03 PM - Oscar Martinez

No he mirado, pero es posible que pudiera para la ejecucion y avisar a usuario que modifique cierto nombre de campo porque coincide con uno ya

existente y que lo modifique

#3 - 02/23/2019 09:52 PM - Alvaro Anguix
- Status changed from New to Invalid

Ok, no me habia dado cuenta que se podia poner el nombre. En ese caso se puede dejar asi y si acaso, como dices, lanzar mensaje de aviso para

€S0sS Casos.

#4 - 02/26/2019 03:44 PM - Joaquin del Cerro Murciano
- Target version changed from 2.5.0-2930-final to 2.5.0-2913 (rev. org.gvsig.desktop-2.0.241)
